/**
 * This work was created by participants in the DataONE project, and is
 * jointly copyrighted by participating institutions in DataONE. For 
 * more information on DataONE, see our web site at http://dataone.org.
 *
 *   Copyright ${year}
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 * 
 * $Id$
 */
package org.dataone.tidy.dao;

import java.util.List;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Repository;

/**
 * Datasource abstraction to provide interface into the data structure recording the results
 * of a merge process.  Encapsulates a data store of MergeResult records.
 * 
 * @author sroseboo
 *
 */
@Repository
public interface MergeResultRepository extends PagingAndSortingRepository<MergeResult, Long> {

    List<MergeResult> findByPid(String pidValue);

    List<MergeResult> findByMergeStatusStrAndRunId(String mergeStatusStr, Long runId);

    Page<MergeResult> findByMergeStatusStrAndRunId(String mergeStatusStr, Long runId, Pageable page);

}
